Get Projects

Description

This endpoint retrieves all projects for the vendor user's vendor account. The response should be an array of project objects, each of which has all the attributes described in the previous page.

Required Parameters

None.

Optional Query Parameters

  • limit
    • Number of projects to be returned
    • type: Integer
    • default: 100
    • currentPage
    • type: Integer
    • default: 0
  • externalId
    • type: String
    • Is used to store/fetch by saleforceId
  • updatedAt
    • type: String
    • format: It should contain operator and date separated by vertical line
    • example: <|1646654625
    • operators supported: <,>
    • date format: timestamp
  • updatedAtSort
    • type: String(Prisma.SortOrder)
    • accepts desc and asc
    • default orders by createdAt: desc
Query Params
string
number
number
string
string
Responses

401

Something bad has happened while trying to fetch projects.

403

Credentials are invalid.

404

There are no Projects for the vendor with id {vendorId}.

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json